var $cards = $('#items .full-works');
var $card = $('#items .card');
var $cat = $('.cat-list .cat a');
var $img = $('.item #items .img');

function masonry() {
  var $grid = $cards.masonry({
    itemSelector: '.card',
    columnWidth: '.card',
    percentPosition: true,
    transitionDuration: '0.2s'
  });

  var $grid2 = $img.masonry({
    itemSelector: '.img-card',
    columnWidth: '.img-card',
    percentPosition: true,
    gutter: 20,
    transitionDuration: '0.2s'
  });

  $grid.imagesLoaded().progress( function() {
    $grid.masonry();
  });

  $grid2.imagesLoaded().progress( function() {
    $grid2.masonry();
  });

}

function isotype() {
  var $grid = $cards.isotope({
    itemSelector: '.card',
    layoutMode: 'fitRows'
  });

  $cat.on( 'click', function(e) {
    e.preventDefault();
    var filterValue = $( this ).attr('data-filter');
    filterValue = filterFns[ filterValue ] || filterValue;
    $grid.isotope({ filter: filterValue });
  });

}

function card(){
  var $item = $('.card')
  console.log($item);
}

function ajax() {
    var form = $('#ajax-test-form');
    form.submit(function(e) {
        // prevent form submission
        e.preventDefault();

        // submit the form via Ajax
        $.ajax({
            url: form.attr('action'),
            type: form.attr('method'),
            dataType: 'html',
            data: form.serialize(),
            success: function(result) {
                // Inject the result in the HTML
                $('#form-result').html(result);
            }
        });
    });
}

function contact() {
  var $contact = $('header .contact');

  $contact.on('click',function() {
    if ($(this).hasClass('open')) {
      $(this).removeClass('open');
      $(this).addClass('close');
    } else {
      $(this).addClass('open');
      $(this).removeClass('close');
    }
  })
}

//
// function transitionpage() {
//   var $a = $('a');
//   var $all = $('body *');
//
//   $a.on('click', function() {
//     $all.css('display':'none');
//   })
//
// }

jQuery(document).ready(function($){
  masonry();
  contact();
  transitionpage();
  // card();
  // ajax();
  // isotype();
});
